13 février 2015 Technique

Shield 1.0.1 Released

Par Kevin Kluge

We're happy to announce the release of Shield 1.0.1!

This is a bug fix release. We recommend that all users of Shield 1.0.0 upgrade to Shield 1.0.1. This version of Shield is certified to work with Elasticsearch 1.4.2 and 1.4.3.


Most importantly, this release fixes an issue where Shield 1.0.0 was incompatible with Elasticsearch 1.4.3. Even if you're currently using Elasticsearch 1.4.2, we recommend upgrading to Shield 1.0.1. This will protect you from encountering this incompatibility when you upgrade to Elasticsearch 1.4.3 or later in the future.

We also fixed a bug with parsing the roles to users mapping. In some cases, Shield would not allow the user to receive privileges from all the roles it was a member of.


Kibana 4 has been evolving, and you may have seen our RC1 release yesterday(!). We have updated the default roles available with Shield to work with new features added to Kibana 4 RC1.

We have also added a changelog to the documentation.


To upgrade, just uninstall the current Shield and install Shield 1.0.1. Your configuration will be preserved. You can do this with a rolling upgrade of Elasticsearch.

For each node, after you have stopped it, run

bin/plugin -r shield
bin/plugin -i elasticsearch/shield/latest

Then restart the node. Larger deployments should follow the steps in the rolling upgrade section in order to ensure the recovery is as quick as possible.

On upgrade, your current config files will keep their names and content. The config files provided by Shield 1.0.1 will be added with a “.new" extension. If you are a Kibana 4 user or might become one, you'll want to copy the role additions for the Kibana user, found in roles.yml.new, to roles.yml.